# set this to 1 if you want to build semistatic rpm
%define        semistatic      0

%{?_with_semistatic: %{expand: %%define semistatic 1}}
%{?_without_semistatic: %{expand: %%define semistatic 0}}

%if %{semistatic}
  %define 	name	poedit-semistatic
%else
  %define	name	poedit
%endif
%define		version 1.2.1
%define 	release 2mdk
%define		summary	Gettext catalogs editor

%define		section	Applications/Editors
%define		title   Poedit

Summary:		%summary
Name:			%name
Version:		%version
Release:		%release
License:		MIT
Group:			Editors
URL:			http://poedit.sourceforge.net
Source0:		%name-%{version}.tar.bz2
Source1:		%name-icons.tar.bz2
Patch0:			%name-edframe.patch.bz2
BuildRoot:      %_tmppath/%name-buildroot

Requires:		gettext

%if %{semistatic}
BuildRequires:	wxGTK wxGTK-devel wxGTK-static
Provides:		poedit
%else
BuildRequires:	wxGTK-devel >= 2.4.0-2mdk
%endif
BuildRequires:	zip

%description
poEdit is cross-platform gettext catalogs (.po files) editor. It is built with
wxWindows toolkit and can run on Unix or Windows. It aims to provide convenient
way of editing gettext catalogs. It features UTF-8 support, fuzzy and
untranslated records highlighting, whitespaces highlighting, references
browser, headers editing and can be used to create new catalogs or update
existing catalogs from source code by single click.

%prep
%setup -q -n poedit-%{version}
%setup -q -T -D -a1
%patch0 -p0

%build
(
export KDEDIR=/usr 

%if %{semistatic}
%configure --enable-semistatic
%else
%configure
%endif
)

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall GNOME_DATA_DIR=$RPM_BUILD_ROOT/usr/share \
             KDE_DATA_DIR=$RPM_BUILD_ROOT/usr/share

# menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF

?package(%name): \
	command="%_bindir/%name" \
	needs="X11" \
	section="%section" \
	icon="%name.png" \
	mimetypes="application/x-po;application/x-gettext" \
	title="%title" \
	longtitle="%summary"
EOF

# icons
%__install -D -m 644 %{name}48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}16.png %buildroot/%_miconsdir/%name.png
# delete xpm icon
rm -f %buildroot/%_iconsdir/%name.xpm

%find_lang %name
%if %{semistatic}
%find_lang %name-wxstd
cat poedit-wxstd.lang >>poedit.lang
%endif

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot


%files -f poedit.lang
%defattr(-,root,root)
%doc NEWS LICENSE README AUTHORS

%dir %{_datadir}/poedit
%{_datadir}/poedit/resources.zip
%{_datadir}/poedit/help.zip
%{_datadir}/poedit/help-gettext.zip
%lang(hr) %{_datadir}/poedit/help-hr.zip
%{_bindir}/poedit
%{_mandir}/*/*
%{_datadir}/mimelnk/application/*
%{_datadir}/applnk/Development/*
%{_datadir}/gnome/apps/Development/*
%{_datadir}/mime-info/poedit.*
%{_datadir}/icons/*
%{_datadir}/pixmaps/*
%{_libdir}/menu/*

%changelog
* Thu Feb 27 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 1.2.1-2mdk
- add patch to faster working with too biiig msg strings (espec. DrakX.po),
  thanks for patch to Vaclav Slavik

* Wed Feb 26 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 1.2.1-1mdk
- new version of poedit
	- added more translations:
		* Georgian (Aiet Kolkhi)
		* Romanian (Ovidiu Constantin)
		* Catalan (Pau Bosch i Crespo) 
	- reworked Traditional Chinese translation (Myths)
	- fixed bug when empty error text was shown if msgfmt reported error
	- moved "Shaded translations list" from preferences into the View menu

* Thu Feb 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-2mdk
- rebuild with wxGTK2.4

* Thu Feb 13 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 1.2.0-1mdk
- initial Mandrake import, based on spec file from Vaclav Slavik
- more macroszification, misc changes and clean up
- create poedit-icons source with all needed resolutions, xpm -> png
- make rpmlint happy
